---
title: Invidious Instance Information
date: "2025-01-28"
---

- Clearnet: [inv.nadeko.net](https://inv.nadeko.net) or [youtubenuker.lol](https://youtubenuker.lol)

- Tor: [inv.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion](http://inv.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion)

- I2P: [nadekoohummkxncchcsylr3eku36ze4waq4kdrhcqupckc3pe5qq.b32.i2p](http://nadekoohummkxncchcsylr3eku36ze4waq4kdrhcqupckc3pe5qq.b32.i2p)

---

Note: **The alternative domain `youtubenuker.lol` is intended for people that can't access `inv.nadeko.net` for whatever reason, do not use it to share videos in forums!. Keep using `inv.nadeko.net` if you can access it without any problems** (I bought `youtubenuker.lol` for fun, it was just way too good)

My invidious instance has more than backend, which means that you can choose a backend based on your location or if Youtube blocks a backend.

You can switch backends using the navbar (This will leave a cookie called `COMPANION_IDD`, nothing fancy, I can't track your activity at all with something like this):

![](./invidious-backend-navbar.png)

or by using numbered backends:

- [inv1.nadeko.net](https://inv1.nadeko.net) or [inv1.youtubenuker.lol](https://inv1.youtubenuker.lol)
- [inv2.nadeko.net](https://inv2.nadeko.net) or [inv2.youtubenuker.lol](https://inv2.youtubenuker.lol)
- [inv3.nadeko.net](https://inv3.nadeko.net) or [inv3.youtubenuker.lol](https://inv3.youtubenuker.lol)
- [inv4.nadeko.net](https://inv4.nadeko.net) or [inv4.youtubenuker.lol](https://inv4.youtubenuker.lol)
- [inv5.nadeko.net](https://inv5.nadeko.net) or [inv5.youtubenuker.lol](https://inv5.youtubenuker.lol)
- [inv6.nadeko.net](https://inv6.nadeko.net) or [inv6.youtubenuker.lol](https://inv6.youtubenuker.lol)

I also host Invidious on the Tor network, and it works exactly the same as the Clearnet site. You can switch backends using the navbar or numbered backends.

- [inv1.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion](http://inv1.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion)
- [inv2.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion](http://inv2.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion)
- [inv3.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion](http://inv3.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion)
- [inv4.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion](http://inv4.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion)
- [inv5.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion](http://inv5.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion)
- [inv6.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion](http://inv6.nadekonw7plitnjuawu6ytjsl7jlglk2t6pyq6eftptmiv3dvqndwvyd.onion)

**I2P** doesn't support numbered backends due to the lack of support for subdomains (3rd level FQDN) on Base32 I2P addresses.

Note: **Do not share links on the internet (Forums, Lemmy, Archival Purposes) with numbered backends or with the alternative domain `youtubenuker.lol`! Use the main domain instead (`inv.nadeko.net`)!!!**

~~Note 2: If you send an invidious link to Shitcord, it will be shown on the chat and anyone will be able to reproduce it, useful for short videos and music videos ;)~~ (Doesn't work because of the Anubis Captcha)

![](./shitcord-embed.png)

## Registrations?

~~Closed, Why? Because I'm aiming to keep the instance as stable as possible now so I only want a limited amount of people using the instance every day. Of course you can also can use the instance without an account but we all know that is pretty annoying not being able to subscribe to channels and store the video history somewhere.~~

~~If everything works ok, I may open registrations another day so make sure to keep an eye on the instance if you want to create an account in the future.~~

Open xd

## What does the colored dot next to each backend means?

- Green means that the backend should be completely operational (video retrieval (companion) is alive and videoplayback proxying is alive)
- Orange means that the backend should be able to get video information but video playback doesn't work (video retrieval (companion) is alive and videoplayback proxying is dead)
- Red means that the backend doesn't work at all (video retrieval (companion) is dead and videoplayback proxying is dead)

Note: The status dot doesn't mean that the backend will be ABLE to play or retrieve the video information ("This helps protect our community" messages, etc), they only indicate if they accessible trough the internet.

## List of backends

<div class="notice">

**I change things of each backend very often so this list is not always accurate.**
</div>

{{<table "table table-striped table-bordered">}}
| Backend                                               | Companion Location             |
|-------------------------------------------------------|--------------------------------|
| Backend 1 [inv1.nadeko.net](https://inv1.nadeko.net)  | Chile
| Backend 2 [inv2.nadeko.net](https://inv2.nadeko.net)  | Toronto, CA
| Backend 3 [inv3.nadeko.net](https://inv3.nadeko.net)  | Texas, USA
| Backend 4 [inv4.nadeko.net](https://inv4.nadeko.net)  | Frankfurt, DE
| Backend 5 [inv5.nadeko.net](https://inv5.nadeko.net)  | Frankfurt, DE
| Backend 6 [inv6.nadeko.net](https://inv6.nadeko.net)  | Chile (May be unstable)
{{</table>}}

**Companion Location** means from where the video information is being gathered, not where the backend is hosted physically. All backends are hosted on the same server and on the same location (which is Chile).

How fast the video loads depends of the Companion Location, so if you are from Europe, you may prefer to use Backend 4 or Backend 5. If you want to access geo restricted content that is only available on the US, then use Backend 3.

## Additional information

***This is a post from Dec 19, 2024, but is still valid nowadays***

Approximately Dec 19 of 2024, Youtube changed the method they use to block instances and third party clients so I have been struggling a bit on how to make the instance work fluently as it did before for a long time.

So because of that, Invidious is extremely limited and prone to fail. Thanks to the backend system that I made, I'm able to balance the load across different servers outside of my own homeserver to prevent blockages (if I only had one Backend, my instance would be extremely painful to use).

Also, the subscriptions tab will not contain the video length and view count, this is because Invidious used to do a request to Youtube to get more information about the video (like the view count and video length) to display it on the subscriptions tab. I had to change this to prevent getting blocked and continue to receive subscription updates. (Commit https://git.nadeko.net/Fijxu/invidious/commit/df94f1c0b82d95846574487231ea251530838ef0 for the nerds)

I also would like to ask Bot/API developers to not use my instance to get information about a video from Youtube as this creates more requests to Youtube therefore blocking the Backend of the instance. Please use tools like https://github.com/LuanRT/YouTube.js or any other tool that lets you get video information from Youtube. ~~I will start blocking/rate-limiting generic User-Agents that are generally used on http libraries like `axios/1.x.x`, `python-requests`, `Go-http-client/2.0` and so on. Please be ethical and don't spoof your User-agent to make it look like a browser!; Just change it to something that identifies your program.~~ API has been disabled for everyone due to the high influx of API requests and instability of the instance.

Also, if you want to download videos a ton of videos, please don't use Invdious! Use https://github.com/yt-dlp/yt-dlp or https://cobalt.tools/ (Donate if you find this useful, BANDWIDTH COSTS ARE NOT CHEAP!)

If you use Invidious a lot and you have the knowledge and resources to host Invidious yourself, I recommend you to do it instead of struggling with the constant blockages of my instance.

I hope you all can understand <3
